
Installer - Feature #34758

Rename foreman_proxy::plugin::remote_execution::ssh to

foreman_proxy::plugin::remote_execution::script

04/11/2022 01:16 PM - Eric Helms

Status: Closed   

Priority: Normal   

Assignee: Eric Helms   

Category:    

Target version:    

Difficulty:  Fixed in Releases: 3.3.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/puppet-for

eman_proxy/pull/734,

https://github.com/theforeman/foreman-i

nstaller/pull/759,

https://github.com/theforeman/puppet-for

eman_proxy/pull/735,

https://github.com/theforeman/puppet-for

eman_proxy/pull/737

  

Description

This will reflect the change from an SSH feature to a Script feature.

Related issues:

Related to Foreman Remote Execution - Refactor #34750: Rename ssh proxy featu... Closed

Associated revisions

Revision ee26a8fe - 04/20/2022 10:36 PM - Eric Helms

Fixes #34758 - Rename remote_execution::ssh class to remote_execution::script

Revision de6ca1ed - 04/21/2022 12:46 AM - Eric Helms

Refs #34758: Match rename of remote_execution::ssh to remote_execution::script

History

#1 - 04/11/2022 01:16 PM - Eric Helms

- Related to Refactor #34750: Rename ssh proxy feature to script added

#2 - 04/11/2022 01:17 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Eric Helms

- Pull request https://github.com/theforeman/puppet-foreman_proxy/pull/734 added

#3 - 04/11/2022 01:31 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman-installer/pull/759 added

#4 - 04/13/2022 12:46 AM - The Foreman Bot

- Pull request https://github.com/theforeman/puppet-foreman_proxy/pull/735 added

#5 - 04/13/2022 03:13 AM - The Foreman Bot

- Pull request https://github.com/theforeman/puppet-foreman_proxy/pull/737 added

#6 - 04/20/2022 10:36 PM - The Foreman Bot

- Fixed in Releases 3.3.0 added
#7 - 04/20/2022 11:01 PM - Eric Helms

- Status changed from Ready For Testing to Closed

Applied in changeset puppet-foreman_proxy|ee26a8fe4c2af2e12d3f62b6e8dc04daa9f315be.
